"
 COPYRIGHT (c) 2009 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libtool' }"

SmalltalkInspectorView subclass:#TraitsInspectorView
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Inspector'
!

!TraitsInspectorView class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2009 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    same as a smalltalk inspector, but filters only traits

    [author:]
        Claus Gittinger
"
! !

!TraitsInspectorView methodsFor:'private'!

indexList
    "redefined to only show class variables"

    keys := OrderedCollection new.
    inspectedObject keysAndValuesDo:[:k :v |
                                v isTrait ifTrue:[
                                    keys add:k
                                ]
                           ].
    keys := keys asSortedCollection:[:a :b | a displayString < b displayString].
    ^ keys
! !

!TraitsInspectorView class methodsFor:'documentation'!

version_CVS
    ^ '$Header: /cvs/stx/stx/libtool/TraitsInspectorView.st,v 1.1 2009-10-12 20:00:25 cg Exp $'
! !
